﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;


namespace LayoutDesignerSDK_sample
{
    public partial class MainPage : ContentPage
    {
        //Native side call interface.
        IPrintSample print = null;

        public MainPage()
        {
            InitializeComponent();
            //Initialize the SDK at startup.
            print = DependencyService.Get<IPrintSample>();
            print.init_SDK();
            VerEntry.Text = print.Version();
        }

        //Layout file creation button.
        private void ButtonClick1(object sender, EventArgs args)
        {
            //Does the interface exist?
            if (print != null)
            {
                //Create a layout file.
                int err = print.MakeFile(@"save_test.sop");
                if(err != 0)
                {
                    print.ErrorMessage(@"Failed to create SOP file.", err);
                }
            }
        }

        //Layout file print button.
        private void ButtonClick2(object sender, EventArgs args)
        {
            //Get IP address.
            string ip = IpEntry.Text;
            //Get port number.
            int port = int.Parse(PortEntry.Text);

            //Does the interface exist?
            if (print != null)
            {
                //Print a layout file.
                int err = print.PrintFile(@"save_test.sop", ip, port, 1);
                if(err != 0)
                {
                    print.ErrorMessage(@"Failed to print.", err);
                }
            }
        }

        //Standalone macro regist button.
        private void ButtonClick3(object sender, EventArgs args)
        {
            //Get IP address.
            string ip = IpEntry.Text;
            //Get port number.
            int port = int.Parse(PortEntry.Text);

            //Does the interface exist?
            if (print != null)
            {
                int err = print.RegistMacro(ip, port, @"save_test.sop");
            }
        }
    }
}
